> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://virtuous.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://virtuous.ferndocs.com/_mcp/server.

# Get Volunteer Opportunity

GET https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}

Reference: https://virtuous.ferndocs.com/reference/crm-plus/volunteering/get-volunteer-opportunity

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.virtuoussoftware.com` (https://api.virtuoussoftware.com, default)
- `{{baseUrl}}api` ({{baseUrl}}api)

## Request

### Path parameters

- `volunteerOpportunityId` (string, required)

## Response

### 200

OK

- `id` (string, optional)
- `volunteerOpportunityUrl` (string, optional)
- `name` (string, optional)
- `locationName` (string, optional)
- `displayAddress` (string, optional)
- `startDateTime` (string, optional)
- `endDateTime` (string, optional)
- `preferredDateTime` (string, optional)
- `timeZone` (string, optional)
- `description` (string, optional)
- `createDateTimeUtc` (string, optional)
- `createdByUser` (string, optional)
- `modifiedDateTimeUtc` (string, optional)
- `modifiedByUser` (string, optional)
- `isActive` (string, optional)
- `isLocalOnly` (string, optional)
- `preferredNumberOfHours` (string, optional)
- `projectId` (string, optional)
- `totalVolunteers` (string, optional)
- `totalVolunteerHours` (string, optional)
- `volunteerOrganizers` (list of ApiVolunteerOpportunityVolunteerOpportunityIdGetResponsesContentApplicationJsonSchemaVolunteerOrganizersItems, optional)
- `currentNeed` (string, optional)
- `currentPriority` (string, optional)
- `currentPriorityName` (string, optional)
- `currentNeedFilledPercentage` (string, optional)
- `hoursFilledPercentage` (string, optional)
- `volunteerOrganizersUrl` (string, optional)
- `volunteersUrl` (string, optional)
- `customFields` (list of ApiVolunteerOpportunityVolunteerOpportunityIdGetResponsesContentApplicationJsonSchemaCustomFieldsItems, optional)

## Errors

### 404 Not Found Error

NotFound

- `any`

## Types

### ApiVolunteerOpportunityVolunteerOpportunityIdGetResponsesContentApplicationJsonSchemaVolunteerOrganizersItems

- `id` (string, optional)
- `volunteerOrganizerUrl` (string, optional)
- `contactId` (string, optional)
- `displayName` (string, optional)
- `firstName` (string, optional)
- `avatarUrl` (string, optional)
- `primaryPhone` (string, optional)
- `primaryEmail` (string, optional)
- `contactUrl` (string, optional)
- `volunteerOpportunityUrl` (string, optional)

### ApiVolunteerOpportunityVolunteerOpportunityIdGetResponsesContentApplicationJsonSchemaCustomFieldsItems

- `name` (string, optional)
- `value` (string, optional)
- `displayName` (string, optional)

## Examples

**Response**

```json
{
  "id": "<integer>",
  "volunteerOpportunityUrl": "<string>",
  "name": "<string>",
  "locationName": "<string>",
  "displayAddress": "<string>",
  "startDateTime": "<string>",
  "endDateTime": "<string>",
  "preferredDateTime": "<string>",
  "timeZone": "<string>",
  "description": "<string>",
  "createDateTimeUtc": "<dateTime>",
  "createdByUser": "<string>",
  "modifiedDateTimeUtc": "<dateTime>",
  "modifiedByUser": "<string>",
  "isActive": "<boolean>",
  "isLocalOnly": "<boolean>",
  "preferredNumberOfHours": "<double>",
  "projectId": "<integer>",
  "totalVolunteers": "<integer>",
  "totalVolunteerHours": "<double>",
  "volunteerOrganizers": [
    {
      "id": "<integer>",
      "volunteerOrganizerUrl": "<string>",
      "contactId": "<integer>",
      "displayName": "<string>",
      "firstName": "<string>",
      "avatarUrl": "<string>",
      "primaryPhone": "<string>",
      "primaryEmail": "<string>",
      "contactUrl": "<string>",
      "volunteerOpportunityUrl": "<string>"
    },
    {
      "id": "<integer>",
      "volunteerOrganizerUrl": "<string>",
      "contactId": "<integer>",
      "displayName": "<string>",
      "firstName": "<string>",
      "avatarUrl": "<string>",
      "primaryPhone": "<string>",
      "primaryEmail": "<string>",
      "contactUrl": "<string>",
      "volunteerOpportunityUrl": "<string>"
    }
  ],
  "currentNeed": "<integer>",
  "currentPriority": "<string>",
  "currentPriorityName": "<string>",
  "currentNeedFilledPercentage": "<double>",
  "hoursFilledPercentage": "<double>",
  "volunteerOrganizersUrl": "<string>",
  "volunteersUrl": "<string>",
  "customFields": [
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    },
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    }
  ]
}
```

**SDK Code**

```python Volunteering_getVolunteerOpportunity_example
import requests

url = "https://api.virtuoussoftware.com/api/VolunteerOpportunity/volunteerOpportunityId"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Volunteering_getVolunteerOpportunity_example
const url = 'https://api.virtuoussoftware.com/api/VolunteerOpportunity/volunteerOpportunityId';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Volunteering_getVolunteerOpportunity_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.virtuoussoftware.com/api/VolunteerOpportunity/volunteerOpportunityId"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Volunteering_getVolunteerOpportunity_example
require 'uri'
require 'net/http'

url = URI("https://api.virtuoussoftware.com/api/VolunteerOpportunity/volunteerOpportunityId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Volunteering_getVolunteerOpportunity_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.virtuoussoftware.com/api/VolunteerOpportunity/volunteerOpportunityId")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Volunteering_getVolunteerOpportunity_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.virtuoussoftware.com/api/VolunteerOpportunity/volunteerOpportunityId', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Volunteering_getVolunteerOpportunity_example
using RestSharp;

var client = new RestClient("https://api.virtuoussoftware.com/api/VolunteerOpportunity/volunteerOpportunityId");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Volunteering_getVolunteerOpportunity_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.virtuoussoftware.com/api/VolunteerOpportunity/volunteerOpportunityId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```